Subject: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 22 Mar 2022 16:37:30 +0100

Eli Zaretskii <[email-masked]> writes:

> Thanks.  Now everything is clear: this is due to the basic limitation
> of how Emacs displays text with different faces: we render each run of
> character in the same face separately from characters in a different
> face.  So if the face changes in the middle of a word, we render the
> two parts of the word separately, and that breaks Arabic shaping.

If I remember correctly, using font shaping over stretches of different
fonts has been discussed quite a bit before, and there's other bug
reports open on this issue (even if I can't find them now), so I'm
closing this one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no